Subject: Re: https://github.com/rust-lang/rust is not bisectable

From: Andreas Schwab <[email-masked]>
Date: Sat, 17 Dec 2022 17:34:07 +0100

On Dez 17 2022, Askar Safin wrote:

> Okay, so "git bisect" gave us commit
> 26562973b3482a635416b2b663a13016d4d90e20. And here I see a bug:
> 7175c499ecc32cb3ff713be0bbac9fd12990a34e is NOT ancestor of
> 26562973b3482a635416b2b663a13016d4d90e20!

26562973b3482a635416b2b663a13016d4d90e20 is an ancestor of the bad
commit, and not an ancestor of the good commit, thus it is a candidate
for introducing the bad condition.  In a non-linear history, there can
be multiple good commits that are not directly related, each one cutting
out branches from the history.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."